net.corda.node.services.messaging

## Class RPCStructures

- net.corda.node.services.messaging.RPCStructures

-     public class RPCStructures

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.ThreadLocal<net.corda.node.services.User>` | `CURRENT_RPC_USER` This is available to RPC implementations to query the validated `class User` that is calling it. Each user has a set of permissions they're entitled to which can be used to control access.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.esotericsoftware.kryo.Kryo` | `createRPCKryo(com.esotericsoftware.kryo.Serializer<rx.Observable> observableSerializer)`
    `static org.slf4j.Logger` | `getRpcLog()` Global RPC logger
    `static void` | `requirePermission(java.lang.String permission)` Helper method which checks that the current RPC user is entitled for the given permission. Throws a `exception PermissionException` otherwise.

- - ### Field Detail

    - #### CURRENT_RPC_USER

          public static java.lang.ThreadLocal<net.corda.node.services.User> CURRENT_RPC_USER

      This is available to RPC implementations to query the validated `class User` that is calling it. Each user has a set of permissions they're entitled to which can be used to control access.

      See Also:
        `class User`

  - ### Method Detail

    - #### getRpcLog

          public static org.slf4j.Logger getRpcLog()

      Global RPC logger

    - #### requirePermission

          public static void requirePermission(java.lang.String permission)

      Helper method which checks that the current RPC user is entitled for the given permission. Throws a `exception PermissionException` otherwise.

      See Also:
        `exception PermissionException`

    - #### createRPCKryo

          public static com.esotericsoftware.kryo.Kryo createRPCKryo(com.esotericsoftware.kryo.Serializer<rx.Observable> observableSerializer)